# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSSCharsetRule Class Reference

The `CSSCharsetRule` interface a rule in a CSS style sheet. More...

`#include <css_rule.h>`

Inheritance diagram for DOM::CSSCharsetRule:

[legend]
Collaboration diagram for DOM::CSSCharsetRule:

[legend]
List of all members.

## Public Member Functions

| CSSCharsetRule (const CSSCharsetRule &other)
| CSSCharsetRule (const CSSRule &other)
| CSSCharsetRule (CSSCharsetRuleImpl *impl)
CSSCharsetRule & | operator= (const CSSCharsetRule &other)
CSSCharsetRule & | operator= (const CSSRule &other)
DOM::DOMString | encoding () const
| The encoding information used in this `` rule.
void | setEncoding (const DOM::DOMString &)
| see encoding

## Detailed Description

The `CSSCharsetRule` interface a rule in a CSS style sheet.

A `` rule can be used to define the encoding of the style sheet.

Definition at line 149 of file css_rule.h.

## Member Function Documentation

DOMString CSSCharsetRule::encoding | ( |  | ) | const

| The encoding information used in this `` rule. Definition at line 147 of file css_rule.cpp.

void CSSCharsetRule::setEncoding | ( | const DOM::DOMString & |  | ) |

see encoding

Exceptions:

  CSSException | SYNTAX_ERR: Raised if the specified encoding value has a syntax error and is unparsable.
  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this encoding rule is readonly.

Definition at line 153 of file css_rule.cpp.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:34 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001